<?php
/*
Plugin Name: Easy Ajax MailChimp 
Plugin URI: http://prowpexpert.com/ajax-mail-subscription-demo/
Description: This is an easy Ajax mail chimp. This also easy configuration by using shortcode [ajaxmailchimp uri=""] here is uri is like as form action.
Author: ProWpExpert
Version: 1.0
Author URI: http://prowpexpert.com/
*/
function easy_ajax_mailchimp_jqury() {
	wp_enqueue_script('jquery');
}

add_action('init','easy_ajax_mailchimp_jqury');
//Internal css or js given here
function easy_ajax_mailchimp_js () {?>
	<script type="text/javascript">
	jQuery(function () {
	  var $form = jQuery('#mc-embedded-subscribe-form');

	  jQuery('#mc-embedded-subscribe').on('click', function(event) {
		if(event) event.preventDefault();
		register($form);
	  });
	});

	function register($form) {
	  jQuery.ajax({
		type: $form.attr('method'),
		url: $form.attr('action'),
		data: $form.serialize(),
		cache       : false,
		dataType    : 'json',
		contentType: "application/json; charset=utf-8",
		error       : function(err) { jQuery('#notification_container').html('<span class="alert">Could not connect to server. Please try again later.</span>'); },
		success     : function(data) {
		 
		  if (data.result != "success") {
			var message = data.msg.substring(4);
			jQuery('#notification_container').html('<span class="alert">'+message+'</span>');
		  } 

		  else {
			var message = data.msg;
			jQuery('#notification_container').html('<span class="success">'+message+'</span>');
		  }
		}
	  });
	}
	</script>
	<style type="text/css">
	
/** Custom Styles **/
#notification_container {
  display: block;
  margin: 0 auto;
  padding-top: 25px;
}

#notification_container .alert {
  display: block;
  width: 100%;
  padding: 11px 20px;
  border: 1px solid #cfc07e;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  color: #515151;
  font-size: 1.1em;
  line-height: 1.3em;
  font-weight: bold;
  text-shadow: 1px 1px 0 rgba(255,255,255,0.75);
  background-color: #e3cb77;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#e3cb77), to(#f4e4a8));
  background-image: -webkit-linear-gradient(top, #e3cb77, #f4e4a8);
  background-image: -moz-linear-gradient(top, #e3cb77, #f4e4a8);
  background-image: -ms-linear-gradient(top, #e3cb77, #f4e4a8);
  background-image: -o-linear-gradient(top, #e3cb77, #f4e4a8);
  background-image: linear-gradient(top, #e3cb77, #f4e4a8);
}
#notification_container .success {
  display: block;
  width: 100%;
  padding: 11px 20px;
  border: 1px solid #78aa5f;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  color: #515151;
  font-size: 1.1em;
  line-height: 1.3em;
  font-weight: bold;
  text-shadow: 1px 1px 0 rgba(255,255,255,0.5);
  background-color: #9ac784;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#9ac784), to(#aed39c));
  background-image: -webkit-linear-gradient(top, #9ac784, #aed39c);
  background-image: -moz-linear-gradient(top, #9ac784, #aed39c);
  background-image: -ms-linear-gradient(top, #9ac784, #aed39c);
  background-image: -o-linear-gradient(top, #9ac784, #aed39c);
  background-image: linear-gradient(top, #9ac784, #aed39c);
}

/** MailChimp Styles **/
#mc_embed_signup{ background: #fff; clear: left; font: 14px Helvetica, Arial, sans-serif; text-align: center; width: 100%; margin: 0 auto; }

/* MailChimp Form Embed Code - Slim - 08/17/2011 */
#mc_embed_signup form {display: block; position: relative; text-align: left; padding: 10px 0 10px 3%; }
#mc_embed_signup h2 {font-weight: bold; padding: 0; margin: 15px 0; font-size: 1.4em; }

#mc_embed_signup input { border: 1px solid #ababab; -webkit-appearance: none; }
#mc_embed_signup input[type=checkbox]{ -webkit-appearance: checkbox; }
#mc_embed_signup input[type=radio]{ -webkit-appearance: radio; }
#mc_embed_signup input:focus { border-color: #799877; }

#mc_embed_signup .button {
  display: block;
  position: relative;
  background-color: #8db671;
  padding: 0;
  margin: 0 auto;
  border: 0 none;
  border-bottom: #719f5a 3px solid;
  border-radius: 6px;
  color: #fff; 
  cursor: pointer;
  font-size: 14px;
  width: 50%;
  margin-left:22%;
  height: 36px;
  line-height: 36px;
  font-weight: bold;
  text-align: center;
  text-decoration: none;
  vertical-align: top;
}
#mc_embed_signup .button:hover { background-color: #9cc183; border-bottom-color: #7fac69; }
#mc_embed_signup .button:active { top: 2px; border-bottom-width: 1px; }

#mc_embed_signup .small-meta { font-size: 11px; }

#mc_embed_signup .nowrap { white-space: nowrap; }     
#mc_embed_signup .clear { clear: none; display: inline; }

#mc_embed_signup label { display: block; font-size: 13px; text-transform: uppercase; padding-bottom: 7px; color: #616161; font-weight: bold; }
#mc_embed_signup input.email {
  display: block;
  padding: 8px 4px;
  margin: 0 4% 10px 0;
  text-indent: 5px;
  color: #818181;
  font-size: 1.0em;
  background: #f3f3f3;
  font-weight: bold;
  width: 90%;
  -webkit-transition: all 0.2s linear;
  -moz-transition: all 0.2s linear;
  transition: all 0.2s linear;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}
#mc_embed_signup input.email:focus { 
  color: #666;
  background: #f3f3f3;
  -webkit-box-shadow: 0 0 12px #80cf7b;
  -moz-box-shadow: #80cf7b;
  box-shadow: #80cf7b;
}

#mc_embed_signup div#mce-responses { float: left; top: -1.4em; padding: 0em .5em 0em .5em; overflow: hidden; width: 90%; margin: 0 5%; clear: both; }
#mc_embed_signup div.response { margin: 1em 0; padding: 1em .5em .5em 0; font-weight: bold; float: left; top: -1.5em; z-index: 1; width: 70%; }

#mc_embed_signup #mce-error-response { display: none; }
#mc_embed_signup #mce-success-response { color: #529214; display: none; }
#mc_embed_signup label.error {display: block; float: none; width: auto; margin-left: 1.05em; text-align: left; padding: .5em 0; }


/** clearfix **/
.clearfix:after { content: "."; display: block; clear: both; visibility: hidden; line-height: 0; height: 0; }
.clearfix { display: inline-block; }
 
html[xmlns] .clearfix { display: block; }
* html .clearfix { height: 1%; }
	</style>
<?php
}
add_action('wp_footer','easy_ajax_mailchimp_js');



function easy_ajax_mailchimp_shortcode($atts, $content = null ){
	extract( shortcode_atts( array(
		'uri' => '',
		'title' => 'Easy Ajax MailChimp. Using shortcode [ajaxmailchimp uri=""]',
	), $atts, 'ajaxmail' ) );
	return '<div id="content">
      <h1>'.$title.'</h1>
      <div id="mc_embed_signup">
        <form method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate  action="'.$uri.'" >
		
          <label for="mce-EMAIL">E-mail Newsletter Signup</label>
          <input type="email" value="" name="EMAIL" class="email" id="mce-EMAIL" placeholder="email address" required>
          
          <div style="position: absolute; left: -5000px;"><input type="text" name="b_58abcfa203271a9db312e69fc_ee0af79b60" value=""></div>
        
          <input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe" class="button">
        </form>
        
        <div id="notification_container"></div>
      </div>
    </div> ';
}
add_shortcode( 'ajaxmailchimp', 'easy_ajax_mailchimp_shortcode' );
add_filter('widget_text', 'do_shortcode');

?>